/**
  *  \file client/dialogs/simfunction.h
  *  \brief Simulator Ship Function Editor
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_SIMFUNCTION_H
#define PCC_V2_CLIENT_DIALOGS_SIMFUNCTION_H

#include "cpluslib/string.h"

class GSimObject;
class GSimShip;
class GSimPlanet;

bool editSimulatorShipFunctions(GSimShip& sh);
bool editSimulatorPlanetFunctions(GSimPlanet& pl);

string_t describeFunctions(const GSimObject& sh);

#endif
